//
//  JMapCoreKit.h
//  JMapCore
//
//  Created by Aaron Wong on 2016-08-17.
//  Copyright © 2016 Jibestream. All rights reserved.
//

#import <Foundation/Foundation.h>

#import "JMapJCore.h"

//Data Model Objects
#import "JMapBaseModel.h"
#import "JMapWaypoint.h"
#import "JMapAssociation.h"
#import "JMapVenue.h"
#import "JMapDestination.h"
#import "JMapBuilding.h"
#import "JMapFloor.h"
#import "JMapPathType.h"
#import "JMapPath.h"
#import "JMapAmenity.h"
#import "JMapLocation.h"
#import "JMapMapLabel.h"
#import "JMapMap.h"
#import "JMapUri.h"
#import "JMapPosition.h"
#import "JMapActiveVenue.h"
#import "JMapMapLabelInstance.h"
#import "JMapLocale.h"
#import "JMapVenueDestination.h"
#import "JMapMultiActiveVenues.h"

//Collection Objects
#import "JMapBaseCollection.h"
#import "JMapDestinationCollection.h"
#import "JMapFloorCollection.h"
#import "JMapWaypointCollection.h"
#import "JMapAmenityCollection.h"
#import "JMapPathCollection.h"
#import "JMapMapCollection.h"
#import "JMapUriCollection.h"
#import "JMapPathTypeCollection.h"
#import "JMapBuildingCollection.h"
#import "JMapVenueCollection.h"
#import "JMapMapLabelCollection.h"
#import "JMapMapLabelInstances.h"
#import "JMapLocaleCollection.h"
#import "VenueDestinationCollection.h"

// Utilities
#import "JMapCoreUtils.h"
#import "JMapError.h"
#import "JMapUtils.h"
#import "UIFont+withColor.h"

// Wayfind
#import "JMapASEdge.h"
#import "JMapASGrid.h"
#import "JMapASNode.h"
#import "JMapASSearch.h"
#import "JMapNeighbor.h"
#import "JMapPathPerFloor.h"
#import "JMapPoint.h"

#define JMapSDK_VERSION_STRING @"5.12.2"
#define JMapSDK_DEFAULT_TARGET_SERVER_VERSION @"4.12"
