#import "Headers/JMapDestination.h"
#import "Headers/JMapPath.h"
#import "Headers/JMapWaypoint.h"
#import "Headers/JMapPathType.h"
#import "Headers/JMapPoint.h"
#import "Headers/JMapASNode.h"
#import "Headers/JMapGeofenceKit.h"
#import <JMapControllerKit.h>
// #import <React/RCTEventEmitter.h>


@interface JibestreamConverter : NSObject

// - (bool)sendEvent:(NSString*) eventName body:(NSDictionary*) body;
// - (bool)hasListeners;

+(NSDictionary *) jMapDestinationToDict:(JMapDestination *) jMapDestination;
+(NSDictionary *) jMapPathPerFloorToDict:(JMapPathPerFloor *) jMapPathPerFloor jMapController:(JMapController *) controller;
+(NSDictionary *) jMapWaypointToDict:(JMapWaypoint *) jMapPath;
+(NSMutableDictionary *) jMapGeofenceArrayToDict:(NSArray<JMapGeofenceInstance *> * )geofences;
+(UIColor *) colorFromHexString:(NSString *) hexString;
+(UIImage *) imageFromDict:(NSDictionary *) imageDict;



@end
