import { UIManager, Platform } from 'react-native';
let OdpViewManagerCommands = {
  startOdp: 1,
  stopOdp: 2,
  uploadLogs: 3
};
if (Platform.OS == 'ios') {
  OdpViewManagerCommands = {
    startOdp: 'startOdp',
    stopOdp: 'stopOdp',
    uploadLogs: 'uploadLogs'
  };
}
export const startOdp = (viewId, key, host) => UIManager.dispatchViewManagerCommand(viewId, OdpViewManagerCommands.startOdp.toString(), [key, host]);
export const stopOdp = viewId => UIManager.dispatchViewManagerCommand(viewId, OdpViewManagerCommands.stopOdp.toString(), []);
export const uploadLogs = viewId => UIManager.dispatchViewManagerCommand(viewId, OdpViewManagerCommands.uploadLogs.toString(), []);
//# sourceMappingURL=SendCommandOdp.js.map