import { DISTANCE_UNIT, MAP_LOCALE } from './CommandTypes';
import type { INSTRUCTION, JIBESTREAM_PATH } from './JibestreamTypes';
export declare function getCurrentInstruction(userLocation: number[], instructions: INSTRUCTION[], dist_unit?: DISTANCE_UNIT, locale?: MAP_LOCALE): any;
export declare const preProcessPath: (path: JIBESTREAM_PATH[], instructions: INSTRUCTION[]) => INSTRUCTION[];
export declare function getDistanceAlongPath(point: number[], startPathPoint: number[], endPathPoint: number[]): number;
export declare function getPerpendicularDistanceFromPath(point: number[], startPathPoint: number[], endPathPoint: number[]): number;
export declare function getDistanceBetweenPoints(point1: number[], point2: number[]): number;
export declare function generateInstructionText(instruction: INSTRUCTION, dist_unit: DISTANCE_UNIT, locale: MAP_LOCALE): string;
export declare function convertDistanceUnit(distance: number, dist_unit: DISTANCE_UNIT): number;
export declare function convertPrepend(prepend: string, locale: MAP_LOCALE): string;
export declare function convertDirection(prepend: string, locale: MAP_LOCALE): string;
export declare function convertUnitName(unit: DISTANCE_UNIT, locale: MAP_LOCALE, plural: boolean): string;
//# sourceMappingURL=Instructions.d.ts.map