import { JIBESTREAM_DESTINATION, MAP_CREDENTIALS } from 'src/JibestreamTypes';
import { JIBESTREAM_VENUE_PROPERTIES } from './ApiTypes';
import { MAP_LOCALE } from 'src/CommandTypes';
declare class JibestreamApi {
    getToken(credentials: {
        clientId: string;
        clientSecret: string;
        customerId: number;
        host: string;
    }): Promise<string | undefined>;
    getAllDestinations(credentials: {
        clientId: string;
        clientSecret: string;
        customerId: number;
        host: string;
        locale?: MAP_LOCALE;
    }, venueIds: number[]): Promise<{
        [venueId: number]: JIBESTREAM_DESTINATION[];
    }>;
    getVenueProperties(token: string, credentials: MAP_CREDENTIALS): Promise<JIBESTREAM_VENUE_PROPERTIES | undefined>;
}
export declare const jibestreamApi: JibestreamApi;
export {};
//# sourceMappingURL=jibestreamApi.d.ts.map