"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.OdpViewManager = void 0;
var _reactNative = require("react-native");
let componentName = 'UnknownComponent';
if (_reactNative.Platform.OS == 'android') {
  componentName = 'OdpViewManager';
} else if (_reactNative.Platform.OS == 'ios') {
  componentName = 'JibeStreamOdp';
}
function getOdpViewManager() {
  try {
    return (0, _reactNative.requireNativeComponent)(componentName);
  } catch (e) {
    return null;
  }
}
const OdpViewManager = getOdpViewManager();
exports.OdpViewManager = OdpViewManager;
//# sourceMappingURL=OdpViewManager.js.map