"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.uploadLogs = exports.stopOdp = exports.startOdp = void 0;
var _reactNative = require("react-native");
let OdpViewManagerCommands = {
  startOdp: 1,
  stopOdp: 2,
  uploadLogs: 3
};
if (_reactNative.Platform.OS == 'ios') {
  OdpViewManagerCommands = {
    startOdp: 'startOdp',
    stopOdp: 'stopOdp',
    uploadLogs: 'uploadLogs'
  };
}
const startOdp = (viewId, key, host) => _reactNative.UIManager.dispatchViewManagerCommand(viewId, OdpViewManagerCommands.startOdp.toString(), [key, host]);
exports.startOdp = startOdp;
const stopOdp = viewId => _reactNative.UIManager.dispatchViewManagerCommand(viewId, OdpViewManagerCommands.stopOdp.toString(), []);
exports.stopOdp = stopOdp;
const uploadLogs = viewId => _reactNative.UIManager.dispatchViewManagerCommand(viewId, OdpViewManagerCommands.uploadLogs.toString(), []);
exports.uploadLogs = uploadLogs;
//# sourceMappingURL=SendCommandOdp.js.map