import { requireNativeComponent, Platform, NativeModules } from 'react-native';
import 'react-native';
let componentName = 'UnknownComponent';
if (Platform.OS == 'android') {
  componentName = 'MapViewManager';
} else if (Platform.OS == 'ios') {
  componentName = 'jibestreamMap';
}
function getMapViewManager() {
  try {
    return requireNativeComponent(componentName);
  } catch (e) {
    return null;
  }
}
export const MapViewManager = getMapViewManager();
export const CTPEventEmitter = NativeModules.CTPEventEmitter;
//# sourceMappingURL=MapViewManager.js.map