import { requireNativeComponent, Platform } from 'react-native';
import 'react-native';
let componentName = 'UnknownComponent';
if (Platform.OS == 'android') {
  componentName = 'OdpViewManager';
} else if (Platform.OS == 'ios') {
  componentName = 'JibeStreamOdp';
}
function getOdpViewManager() {
  try {
    return requireNativeComponent(componentName);
  } catch (e) {
    return null;
  }
}
export const OdpViewManager = getOdpViewManager();
//# sourceMappingURL=OdpViewManager.js.map